ChangeSet 1.893.2.8, 2002/12/23 11:49:14-08:00, henning@meier-geinitz.de

[PATCH] [PATCH 2.4.21-pre1] scanner.c: Use first altsetting in probe_scanner()

Without this patch, the alternate setting with index ifnum was used,
not the first one.


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Mon Jan  6 11:31:26 2003
+++ b/drivers/usb/scanner.c	Mon Jan  6 11:31:26 2003
@@ -326,6 +326,7 @@
  *      Vlasov <vsu@mivlgu.murom.ru>).
  *    - Accept devices with more than one interface. Only use interfaces that
  *      look like belonging to scanners.
+ *    - Use altsetting[0], not altsetting[ifnum].
  *
  * TODO
  *    - Remove the 2/3 endpoint limitation
@@ -917,7 +918,7 @@
 		return NULL;
 	}
 
-	endpoint = interface[ifnum].endpoint;
+	endpoint = interface[0].endpoint;
 
 /*
  * Start checking for one or two bulk endpoints and an optional
